WIN500client mobile

Status
Not open for further replies.

Astrak

Member
Joined
Feb 17, 2005
Messages
1,573
Location
Mesa, AZ
Just flashed to a new ROM WinMo 6.5 TF3d 2.5 sense UI on my touch diamond, I'm getting an error when I try to run WIN500client

"System.Windows.Forms,
Version=3.5.0.0, culture=neutral,
PublicKey Token=969DB8053D3322AC or
one of its dependencies, was not found"

My guess is that's because TF3d 2.5 uses .net3.7, but I'm not sure does anyone know?
 

Astrak

Member
Joined
Feb 17, 2005
Messages
1,573
Location
Mesa, AZ
Anybody with a Touch PRO2 or any newer HTC WinMo device tried WIN500client and had any luck? It works great on .net3.5 framework and older versions of WinMo6.5. If you don't have WIN500 running PM me and I can give you an IP and port to connect to so it can be tested.
 

DonS

Member
Joined
Jun 17, 2003
Messages
4,105
Location
Franktown, CO
For testing, you can also connect to:

IP Address: 64.2.60.23
Port:26755

Unfortunately, I don't have a Windows Mobile device with .NET 3.7 installed, so I cannot test this particular problem. (I'll have to investigate a bit to see if my development environment will let me specify such a configuration).
 

DonS

Member
Joined
Jun 17, 2003
Messages
4,105
Location
Franktown, CO
Did you try installing .NET 3.5 while WM6.5 was flashed in? That might work, if WM/.NET(CF) behave like non-mobile versions (i.e. I can install old versions of .NET on new versions of Windows).
 

Astrak

Member
Joined
Feb 17, 2005
Messages
1,573
Location
Mesa, AZ
Did you try installing .NET 3.5 while WM6.5 was flashed in? That might work, if WM/.NET(CF) behave like non-mobile versions (i.e. I can install old versions of .NET on new versions of Windows).
Yep that's what I did and it worked, just running through some things on the ROM to see if anything was 3.7 dependant, but so far so good.
 

DonS

Member
Joined
Jun 17, 2003
Messages
4,105
Location
Franktown, CO
Ah, OK. I though't you'd gone back to a previous version of WM (your "reverted the ROM" part threw me).

If it behaves like non-mobile versions, you should have both 3.5 and 3.7 versions of .NET installed now. (Presuming you started with a WM6.5 / .NET 3.7 ROM, then installed a downloaded version of .NET 3.5).
 

Astrak

Member
Joined
Feb 17, 2005
Messages
1,573
Location
Mesa, AZ
Ok, that makes sense. I'm just enjoying this new TF3d interface, but if I couldn't have WIN500 on the phone I'd have to go back to a different ROM.
 
Status
Not open for further replies.
Top